Name:		ttfonts
Version:	1.3
Release:	14mdk
License:	Freeware
Summary:	Free True Type Fonts
Group:		System/Fonts/True type 

Source:		ttfonts-%{PACKAGE_VERSION}.tar.bz2
Source1:	fonts-ttf-west_european-fonts.dir.bz2
Source2:	fonts-ttf-decoratives-fonts.dir.bz2

BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
PreReq:		chkfontpath >= 1.4.1

%description
This package is a collection of free True Type Fonts.

%package -n fonts-ttf-west_european
Summary:	Free True Type Fonts (west eruopean charset)
Group:		System/Fonts/True type
Obsoletes:	ttfonts
PreReq:		chkfontpath >= 1.4.1

%description -n fonts-ttf-west_european
This package is a collection of free True Type Fonts.

%package -n fonts-ttf-decoratives
Summary:	Free True Type Fonts (decoratives)
Group:		System/Fonts/True type
PreReq:		chkfontpath >= 1.4.1

%description -n fonts-ttf-decoratives
This package is a collection of free True Type Fonts.

%prep
%setup -q -n ttfonts 

%build

%install
rm -rf $RPM_BUILD_ROOT
# iso8858-{1,15} and ascii-0 fonts
mkdir -p $RPM_BUILD_ROOT%_datadir/fonts/ttf/western
# decorative fonts, quite improper for normal use
mkdir -p $RPM_BUILD_ROOT%_datadir/fonts/ttf/decoratives

# white space in names aren't a good idea
# JMD: even renaming the font, it still gives bizarre results
# JMD: let's just nuke the bastard
#mv "beast wars.ttf" beast_wars.ttf
#mv "beast wars.txt" beast_wars.txt

mkdir western
for i in Adventure Bluehigb Bluehigc Bluehigh a_d_mono babelfish \
	dirtydoz fudd larabief 
do
  install -m444 $i.ttf $RPM_BUILD_ROOT%_datadir/fonts/ttf/western
  cp $i.txt western || :
done 
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%_datadir/fonts/ttf/western/fonts.dir
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%_datadir/fonts/ttf/western/fonts.scale


mkdir decoratives
for i in CaptainPodd actionis bazaroni betadance betsy binary \
	brandnew creature davis demon densmore dienasty \
	distortia edgewater electroh eli5.0- embargo2 fadgod failed \
	fakerece flubber fontrstc goldengi hydrogen ikarrg ikart \
	ikarv independ indigo
do
  install -m444 $i.ttf $RPM_BUILD_ROOT%_datadir/fonts/ttf/decoratives
  cp $i.txt decoratives || :
done
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%_datadir/fonts/ttf/decoratives/fonts.dir
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%_datadir/fonts/ttf/decoratives/fonts.scale

cp bluehigh.txt contourgenerator.txt western/
cp betsy.readme.txt decoratives/

(
cd $RPM_BUILD_ROOT%_datadir/fonts/ttf/decoratives/
%_bindir/fc-cache . || touch fonts.cache-1
cd $RPM_BUILD_ROOT%_datadir/fonts/ttf/western/
%_bindir/fc-cache . || touch fonts.cache-1
)

%clean
rm -rf $RPM_BUILD_ROOT

%files -n fonts-ttf-west_european
%defattr (-,root,root)
%doc western/*
%dir %_datadir/fonts/ttf/western
%_datadir/fonts/ttf/western/*.ttf
%config(noreplace) %_datadir/fonts/ttf/western/fonts.scale
%config(noreplace) %_datadir/fonts/ttf/western/fonts.dir
%_datadir/fonts/ttf/western/fonts.cache-1

%files -n fonts-ttf-decoratives
%defattr (-,root,root)
%doc decoratives/*
%dir %_datadir/fonts/ttf/decoratives
%_datadir/fonts/ttf/decoratives/*.ttf
%config(noreplace) %_datadir/fonts/ttf/decoratives/fonts.dir
%config(noreplace) %_datadir/fonts/ttf/decoratives/fonts.scale
%_datadir/fonts/ttf/decoratives/fonts.cache-1

%post -n fonts-ttf-west_european
/usr/sbin/chkfontpath -q -a %_datadir/fonts/ttf/western
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun -n fonts-ttf-west_european
if [ "$1" = "0" ];then
/usr/sbin/chkfontpath -q -r %_datadir/fonts/ttf/western
%{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%post -n fonts-ttf-decoratives
/usr/sbin/chkfontpath -q -a %_datadir/fonts/ttf/decoratives
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun -n fonts-ttf-decoratives
if [ "$1" = "0" ];then
/usr/sbin/chkfontpath -q -r %_datadir/fonts/ttf/decoratives
%{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%changelog
* Wed Sep 15 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-14mdk
- fixed fonts.dir files by removing missing fonts (bug #9428)

* Wed Nov 19 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3-13mdk
- nuke beast wars font, it breaks xfs in a weird way

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.3-12mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- fix no-prereq-on chkfontpath (rpmlint)
- fix conffile-without-noreplace-flag (rpmlint)

* Thu Feb 20 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-11mdk
- corrected Licence: line

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-10mdk
- proper use of fc-cache

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3-9mdk
- Use %%_tmppath for BuildRoot
- Use macros

* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3-8mdk
- removed useless stuff from %%post

* Mon Oct  9 2000 dam's <damien@mandrakesoft.com> 1.3-7mdk
- don't install uggly fonts in charset 8859-15

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3-6mdk
- fix group for 7.1

* Tue Jan 11 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- the Requires: must be written in aall %package sections...

* Wed Aug 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- split the fonts in two rpm packages: those usable for west
  european typesetting; and those purely decoratives.
- improved %post scripts
- made better fonts.dir files

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %description lang.

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add a dependences to perlftlib.
- Add a fonts.dir.

* Thu Apr 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix typo spec.
- post and postun scripts to run with chkfontpath
- moving /usr/ttfonts to /usr/X11R6/lib/X11/fonts/ttfonts/
- It's quite stable, we update to 1.0.
- Update the Requires section.
- Add a mkfontdir for chkfontpath.

* Fri Apr 27 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
